Skip to content

List user's jobs

Request

Returns the authenticated user's jobs with keyset pagination (newest first). Each job includes plot_ids and job_visualization_url (no embedded plot objects). The response includes a meta object with pagination info.

Security
BearerAuth
Query
limitinteger, (int32)

Maximum number of items to return (default 100, max 1000)

Default:100
cursorstring

Opaque cursor for the next page

created_at_fromstring

Filter: inclusive lower bound for created_at (ISO-8601)

created_at_untilstring

Filter: inclusive upper bound for created_at (ISO-8601)

Headers
Authorizationstring

Authorization header with a Bearer token, formatted as 'Bearer [JWT]' where [JWT] is the JSON Web Token used for user authentication and authorization.

Example:Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.your-payload-here.signature
GET
/jobs
curl -i -X GET \
  'https://api.open-atlas.com/_mock/openapi/jobs?limit=100&cursor=string&created_at_from=string&created_at_until=string' \
  -H 'Authorization: Bearer <YOUR_JWT or vantage_live_ API key_HERE>'

Responses

Successful response

Bodyapplication/json
jobsArray of objects(Job)

List of jobs

Example:
[ { "job_id": "a31da612-fefe-4da8-800d-0e7120f5617e", "job_name": "August shipment 827128", "plot_ids": [], "username": "abc_pro", "created_at": "2024-09-04T18:18:01", "updated_at": "2024-09-04T18:18:03", "notes": "Initial batch run", "additional_info": {}, "token_cost": 8, "status": "pending", "job_visualization_url": [] } ]
metaobject

Pagination metadata containing has_more, next_cursor, limit, and count

Example:
{ "next_cursor": "eyJsZWsiOiJZM0psWVhSbFpFRjBIbE02TWpBeU5TMHdOeTB6TVZReE56b3lNem8xTVI5d2JHOTBTV1FlVXpwak9EWTVaRFJsWlMwM09EZ3lMVFJoTjJFdFlqSmhaQzB4TWpkak1XRXlNemM0TjJNZmRYTmxjbTVoYldVZVV6cHZjR1Z1WVhSc1lYTmZiV0ZwYmciLCJ1Ijoib3BlbmF0bGFzX21haW4iLCJ2IjoxLCJleHAiOjE3NTYzMDc3OTY1MDgsImlhdCI6MTc1NjMwNTk5NjUwOH0.J1gFjyqEdHEmSYgaUVLH-YYePiBxNTc82LOXTowRjbA", "limit": 100, "count": 100, "has_more": true }
Response
{ "jobs": [ {} ], "meta": { "next_cursor": "eyJsZWsiOiJZM0psWVhSbFpFRjBIbE02TWpBeU5TMHdOeTB6TVZReE56b3lNem8xTVI5d2JHOTBTV1FlVXpwak9EWTVaRFJsWlMwM09EZ3lMVFJoTjJFdFlqSmhaQzB4TWpkak1XRXlNemM0TjJNZmRYTmxjbTVoYldVZVV6cHZjR1Z1WVhSc1lYTmZiV0ZwYmciLCJ1Ijoib3BlbmF0bGFzX21haW4iLCJ2IjoxLCJleHAiOjE3NTYzMDc3OTY1MDgsImlhdCI6MTc1NjMwNTk5NjUwOH0.J1gFjyqEdHEmSYgaUVLH-YYePiBxNTc82LOXTowRjbA", "limit": 100, "count": 100, "has_more": true } }